View Issue Details

IDProjectCategoryView StatusLast Update
0002323SymmetricDSImprovementpublic2015-10-02 10:23
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.22 
Target Version3.7.22Fixed in Version3.7.22 
Summary0002323: Don't select row_data, old_data or pk_data when routing if only default routers are assigned
DescriptionDon't select row_data, old_data or pk_data when routing if only default routers are assigned. This will increase performance of routing for simple two node sync everything scenarios.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 6cd77949

2015-06-19 07:49:22

chenson

Details Diff
0002323: Don't select row_data, old_data or pk_data when routing if only default routers are assigned
0002323
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ChannelRouterContext.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

SymmetricDS: 3.7 42b7614d

2015-06-19 07:49:22

chenson

Details Diff
0002323: Don't select row_data, old_data or pk_data when routing if only default routers are assigned
0002323
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ChannelRouterContext.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

Issue History

Date Modified Username Field Change
2015-06-19 07:47 chenson New Issue
2015-06-19 07:47 chenson Status new => assigned
2015-06-19 07:47 chenson Assigned To => chenson
2015-06-19 07:58 chenson Status assigned => resolved
2015-06-19 07:58 chenson Fixed in Version => 3.8.0
2015-06-19 07:58 chenson Resolution open => fixed
2015-06-19 08:00 chenson Changeset attached => SymmetricDS trunk r9518
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 6cd77949
2015-09-24 11:25 chenson Product Version 3.8.0 => 3.7.22
2015-09-24 11:25 chenson Target Version 3.8.0 => 3.7.22
2015-09-24 11:34 chenson Fixed in Version 3.8.0 => 3.7.22
2015-09-24 13:00 chenson Changeset attached => SymmetricDS 3.7 42b7614d
2015-10-02 10:23 chenson Status resolved => closed